## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate signature

Name:           rust-%{crate}
Version:        1.3.1
Release:        %autorelease
Summary:        Traits for cryptographic signature algorithms (e.g

# Upstream license specification: Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/signature
Source:         %{crates_source}
# Initial patched metadata
# * Bump hex-literal to 0.3 (upstream)
Patch0:         signature-fix-metadata.diff

# rust-cpufeatures is only available on these arches
ExclusiveArch: x86_64 aarch64
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Traits for cryptographic signature algorithms (e.g. ECDSA, Ed25519).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+derive-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-preview-devel %{_description}

This package contains library source intended for building other packages
which use "derive-preview" feature of "%{crate}" crate.

%files       -n %{name}+derive-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-devel %{_description}

This package contains library source intended for building other packages
which use "digest" feature of "%{crate}" crate.

%files       -n %{name}+digest-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+digest-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+digest-preview-devel %{_description}

This package contains library source intended for building other packages
which use "digest-preview" feature of "%{crate}" crate.

%files       -n %{name}+digest-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand-preview-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand-preview-devel %{_description}

This package contains library source intended for building other packages
which use "rand-preview" feature of "%{crate}" crate.

%files       -n %{name}+rand-preview-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rand_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rand_core-devel %{_description}

This package contains library source intended for building other packages
which use "rand_core" feature of "%{crate}" crate.

%files       -n %{name}+rand_core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+signature_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+signature_derive-devel %{_description}

This package contains library source intended for building other packages
which use "signature_derive" feature of "%{crate}" crate.

%files       -n %{name}+signature_derive-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Sep 17 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.3.1-1
- Initial release Close: rhbz#1981115
